Ansicht von 15 Beiträgen - 1 bis 15 (von insgesamt 15)
  • Autor
    Beiträge
  • #2084
    Pelee
    Gast

    Hallo, ich weiß leider nicht was falsch läuft, folgende Fehlermeldung erhalte ich:

    PS C:\Users\Pelee\desktop\Swar-Chia-Plot-Manager> python .\manager.py start
    Traceback (most recent call last):
    File „C:\Users\Pelee\desktop\Swar-Chia-Plot-Manager\manager.py“, line 29, in <module>
    start_manager()
    File „C:\Users\Pelee\desktop\Swar-Chia-Plot-Manager\plotmanager\library\utilities\commands.py“, line 47, in start_manager
    raise ManagerError(‚Failed to start Manager. Please look at manager.log for more details on the error. It is in the same folder as manager.py.‘)
    plotmanager.library.utilities.exceptions.ManagerError: Failed to start Manager. Please look at manager.log for more details on the error. It is in the same folder as manager.py.

    Der log sagt folgendes:

    raceback (most recent call last):
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\stateless-manager.py“, line 58, in <module>
    jobs, running_work, next_job_work, next_log_check = monitor_jobs_to_start(
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\plotmanager\library\utilities\jobs.py“, line 119, in monitor_jobs_to_start
    job, work = start_work(job=job, chia_location=chia_location, log_directory=log_directory)
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\plotmanager\library\utilities\jobs.py“, line 169, in start_work
    process = start_process(args=plot_command, log_file=log_file)
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\plotmanager\library\utilities\processes.py“, line 276, in start_process
    process = subprocess.Popen(
    File „C:\Program Files\Python39\lib\subprocess.py“, line 951, in _init_
    self._execute_child(args, executable, preexec_fn, close_fds,
    File „C:\Program Files\Python39\lib\subprocess.py“, line 1420, in _execute_child
    hp, ht, pid, tid = _winapi.CreateProcess(executable, args,
    FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden

    Hat jemand eine Idee woran’s liegen könnte?

    #2105
    GreySlater
    Teilnehmer

    Ich kenne jetzt zwar die Config des swar plot manager gar nicht aber evtl. meckert er, dass er in dem Pfad in dem er die Log Dateien des Plotters erwartet nichts findet.

    ist das möglich, dass man das separat in der Config angeben muss

    unter Windows ist das ja im Normalfall unter Users\$UserName\.chia\mainnet\plotter

    #2118
    BreXna
    Teilnehmer

    Guten Morgen

    Ich habe eine Fehlermeldung und komme einfach nicht weiter, weil ich nicht weis, was sie bedeutet, kann mir bitte, wer weiterhelfen. Ich habe wie die letzten Tage die Nacht durch Ploten lassen und heute Morgen war auch noch alles ok und dann auf einmal ist diese Fehlermeldung gekommen. Wäre echt toll wenn mir da wer weiter helfen könnte. Vielen Dank Mfg BreXna

    Traceback (most recent call last):
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\venv\lib\site-packages\psutil\_pswindows.py“, line 679, in wrapper
    return fun(self, *args, **kwargs)
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\venv\lib\site-packages\psutil\_pswindows.py“, line 695, in wrapper
    return fun(self, *args, **kwargs)
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\venv\lib\site-packages\psutil\_pswindows.py“, line 780, in cmdline
    ret = cext.proc_cmdline(self.pid, use_peb=True)
    ProcessLookupError: [Errno 3] assume no such process (originated from psutil_pid_is_running -> 0)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\manager.py“, line 36, in <module>
    view()
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\plotmanager\library\utilities\commands.py“, line 106, in view
    jobs, running_work = get_running_plots(jobs=jobs, running_work=running_work)
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\plotmanager\library\utilities\processes.py“, line 217, in get_running_plots
    temporary_directory, temporary2_directory, destination_directory = get_plot_directories(commands=process.cmdline())
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\venv\lib\site-packages\psutil\__init__.py“, line 677, in cmdline
    return self._proc.cmdline()
    File „C:\Users\BreXna\Desktop\Swar-Chia-Plot-Manager-main\venv\lib\site-packages\psutil\_pswindows.py“, line 681, in wrapper
    raise convert_oserror(err, pid=self.pid, name=self._name)
    psutil.NoSuchProcess: psutil.NoSuchProcess process no longer exists (pid=20348, name=’chia.exe‘)

    #2121
    PabloPicasso
    Teilnehmer

    Im Prinzip ist der recht einfach aufzusetzen. Punkt für Punkt die Liste abarbeiten, die auf der Github Seite angegeben ist.

    Folgendes einfach mal überprüfen:
    1. Ist Python installiert?
    2. Wurde ein virtuelles Environment erzeugt (venv)?
    3. Wird dieses vor jedem Aufruf (bei jedem neuen Fenster) mit venv\Scripts\Activate aktiviert?

    4. Ist im config.yaml file ganz oben die Location deiner Chia Installation eingetragen (Hier aufpassen, weil die Versionsnummer sich im Pfad ändert)?

    #2123
    BreXna
    Teilnehmer

    @PabloPicaso
    Danke für deine Antwort. Ja eigentlich schon nur bin ich mir nicht mehr ganz sicher ob ich das mit dem „venv“ gemacht habe, denke aber schon. Kann man wenn man das nicht macht trotzdem Ploten? Es lief ja die ganze nacht durch und hat Plots erstellt und heute morgen auf einmal die Fehlermeldung. Wie kann ich wenn ich jetzt einen Neustart mache die Plots wieder weiter laufen lassen wo ich sie unterbrochen habe? Finde irgendwie nichts im Netz was mir da weiter hilft.

    Vielen Dank für deine Hilfe, Mfg BreXna

    #2124
    PabloPicasso
    Teilnehmer

    Du musst einfach schauen, ob Du ein Verzeichnis venv in deinem swar Verzeichnis hast.

    Hmm. Nein. Dann hätte es von Anfang an nicht laufen sollen.

    Es sieht im Log-File irgendwie auch so aus, als ob es einen Process nicht mehr gibt, den der Manager noch erwartet hätte. Hast Du manuell im Task-Manager irgendwelche Instanzen von „Chia.exe“ gekillt?

    • Diese Antwort wurde geändert vor 2 Jahren, 11 Monaten von PabloPicasso.
    #2126
    BreXna
    Teilnehmer

    Ja hab das „venv“ Verzeichnis im Swar Plot Manager Ordner. Ich sag ja es ist die ganze nacht gelaufen und habe 7 Plots erstellt und auf einmal ist die Fehlermeldung gekommen, ohne etwas gemacht zu haben. Und jetzt ist der Swar Plot Manager eingefroren und es tut sich nichts, im Task Manager unter Details sind die Chia Tasks noch am Laufen und in die Temp Verzeichnisse tut sich auch noch was. Deswegen wollte ich es mit einem Neustart versuchen, aber weil ich nicht weis wie ich die Plots dann wieder dort starten kann, wo ich sie unterbrochen hab, habe ich bis jetzt alles so gelassen und auf Hilfe gewartet.

    Nein habe im Task Manager nichts gekillt und auch nirgends sonst wo!!!

    • Diese Antwort wurde geändert vor 2 Jahren, 11 Monaten von BreXna.
    #2128
    PabloPicasso
    Teilnehmer

    Da bin ich jetzt leider auch ratlos.

    Wenn der Plot-Manager stoppt, dann laufen die schon gestarteten Plot-Prozesse ja weiter. Es wird eben nur nichts neues mehr angestoßen.

    #2129
    BreXna
    Teilnehmer

    Hmhm Schade, trotzdem danke für deine Hilfe. Meinst du der Plotet jetzt die fertig aber startet keine neuen mehr oder wie??

    #2130
    PabloPicasso
    Teilnehmer

    Ja. Der Plotmanager hat ja auf den Chia.exe Prozess keinen Einfluss mehr, nachdem er ihn gestartet hat. Danach liest er nur noch die log-files und analysiert die, um zu sehen, wann der nächste Plot gestartet werden sollte.

    In den Logfiles kannst Du ja auch verfolgen, wie es vorwärts geht. Ich habe die immer in einem Tail für Windows laufen. (z.B. Baretail)

    • Diese Antwort wurde geändert vor 2 Jahren, 11 Monaten von PabloPicasso.
    • Diese Antwort wurde geändert vor 2 Jahren, 11 Monaten von PabloPicasso.
    • Diese Antwort wurde geändert vor 2 Jahren, 11 Monaten von PabloPicasso.
    #2182
    Pelee
    Gast

    Hallo,

    So, kaum hängt man bei user noch ein s drann klappt das auch mit dem Ordner… Er hat dann etwa 3h geplottet bevor ich dann leider gezwungen war den PC neu zu starten (ist eh nur ein kleiner Plotter mit dem ich das jetzt mal getestet hatte).

    Nun wollte ich es wieder starten und er will mal wieder nicht. Ich check’s nicht.

    Traceback (most recent call last):
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\manager.py“, line 29, in <module>
    start_manager()
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\plotmanager\library\utilities\commands.py“, line 32, in start_manager
    notification_settings, debug_level, view_settings = get_config_info()
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\plotmanager\library\parse\configuration.py“, line 102, in get_config_info
    config = _get_config()
    File „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\plotmanager\library\parse\configuration.py“, line 16, in _get_config
    config = yaml.load(stream=f, Loader=yaml.Loader)
    File „C:\Users\Pelee\AppData\Roaming\Python\Python39\site-packages\yaml\__init__.py“, line 114, in load
    return loader.get_single_data()
    File „C:\Users\Pelee\AppData\Roaming\Python\Python39\site-packages\yaml\constructor.py“, line 49, in get_single_data
    node = self.get_single_node()
    File „C:\Users\Pelee\AppData\Roaming\Python\Python39\site-packages\yaml\composer.py“, line 39, in get_single_node
    if not self.check_event(StreamEndEvent):
    File „C:\Users\Pelee\AppData\Roaming\Python\Python39\site-packages\yaml\parser.py“, line 98, in check_event
    self.current_event = self.state()
    File „C:\Users\Pelee\AppData\Roaming\Python\Python39\site-packages\yaml\parser.py“, line 171, in parse_document_start
    raise ParserError(None, None,
    yaml.parser.ParserError: expected ‚<document start>‘, but found ‚<block mapping start>‘
    in „C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager\config.yaml“, line 6, column 1
    PS C:\Users\Pelee\Desktop\Swar-Chia-Plot-Manager>

    Hat jemand ne Idee was es diesmal sein könnte, das nach absolut keiner Änderung, aufeinmal Fehler verursacht?

    #2284
    Andreas
    Gast

    Hallo zusammen, ich hänge mich mal mit dran.

    (venv) PS C:\Users\GlücksKinD\Desktop\Swar-Chia-Plot-Manager-main> python manager.py start
    Traceback (most recent call last):
    File „C:\Users\GlücksKinD\Desktop\Swar-Chia-Plot-Manager-main\manager.py“, line 29, in <module>
    start_manager()
    File „C:\Users\GlücksKinD\Desktop\Swar-Chia-Plot-Manager-main\plotmanager\library\utilities\commands.py“, line 47, in start_manager
    raise ManagerError(‚Failed to start Manager. Please look at manager.log for more details on the error. It is in the same folder as manager.py.‘)
    plotmanager.library.utilities.exceptions.ManagerError: Failed to start Manager. Please look at manager.log for more details on the error. It is in the same folder as manager.py.

    Der Manager mag nicht starten.
    Habe diesen und auch phyton nochmals neu installiert, allerdings komme ich bei diesem Fehler nicht weiter.

    Vll hat jemand eine Lösung 🙂

    #2565
    mobiax
    Teilnehmer

    Vermutlich habt ihr die Chia Blockchain Applikation aktualisiert und in der config.yaml von Swars die location nicht angepasst

    #2778
    PapaDoc
    Gast

    Habt ihr auch ein Leerzeichen zwischen „chia_location:“ und User-Pfad „C:\Users\……………“???

    chia_location: C:\Users\………………

    #2781
    PapaDoc
    Gast

    chia_location: C:\Users\………………

Ansicht von 15 Beiträgen - 1 bis 15 (von insgesamt 15)
  • Du musst angemeldet sein, um auf dieses Thema antworten zu können.